View Issue Details

IDProjectCategoryView StatusLast Update
00305192.x IDE BugsLayoutsPublic2019-02-27 16:24
ReporterDanAssigned ToAlexander Borup 
PriorityMediumSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
Platform-OSWindows 10OS VersionPro x64
Product Version2.2.0 
Target Version2.2.2Fixed in Version2.2.2 
Summary0030519: Layouts: Applying a saved layout to a different project sets child desktops to wrong titlebar name
DescriptionApplying a saved layout to a different project sets any child desktops to the wrong titlebar name, as it uses the original project's name as saved to the Layout, not the actual name of the current project.

Expected: Either layouts can't be used by other projects (and we show an error dialog for this), or we remove identifier information from the layouts files.
Steps To Reproduce1. Start GMS2 and create a new project - call it "ProjectA", for example.
2. Create a new Workspace tab, then drag this tab out to make a new desktop instance.
3. In either desktop, save the layout for the project.
4. File > New and create a second project (e.g. "ProjectB").
5. Load your layout file.
6. Observe a new desktop is created, but it is called ProjectA.
Repro: 100%

1. Start GMS2 and create a new project - call it "ProjectA", for example.
2. Load the attached layout file.
3. Observe a second desktop is created, but it is called "testcleanupevent".
Repro: 100%
TagsIDE
2.x IDE Found In2.2.0.343
2.x Runtime Found In2.2.0.261
2.x IDE Verified In2.2.2.396
2.x Runtime Verified In2.2.2.311

Activities

Dan

2019-02-13 15:36

Adminstrator  

Layout1.xml (4,006 bytes)

Alexander Borup

2019-02-20 15:19

Developer   ~0063270

Now ignores the loaded window's title. We can't disallow using the layout file as it may be valid across multiple projects (project inheritance, project copies etc.)

Dan

2019-02-22 10:41

Adminstrator   ~0063283

IDE 394+

Scott Dunbar

2019-02-27 16:24

Adminstrator   ~0063376

Verified fixed - closing

IDE 2.2.2.396 Runtime 2.2.2.311